/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


$(document).ready(function() { 
	$(document).bind('deviceready', app.onDeviceReady); 
});

var app = {
	wordpress_url: "http://growlode.com/wp-json/wp/v2/posts",

	onDeviceReady: function() {
		console.log('Device is ready');                 
		app.readPosts();     
                //app.cameraGetPicture();
                //pictureSource=navigator.camera.PictureSourceType;
               // destinationType=navigator.camera.DestinationType;
                app.getPhoto();
	},

	readPosts: function() {
		console.log('Reading posts');
		$.ajax({
			type: "GET",
			dataType: "json",
			url: app.wordpress_url,
			success: app.onSuccess,
			error: app.onError
		});
		
	},
        
        onSuccess: function(data) {
		var items = [];               
		$.each(data, function(key, val){
			items.push('<p><a href="' + val.link + val.id + '">' +val.title.rendered + '</a></p>');
		});
		$('#posts').html(items);
                 //alert("posts");
	},

	onError: function(data, textStatus, errorThrown) {		
		$("#posts").html('Error while loading Worpdress posts');		
	}      
 

};


document.getElementById("cameraTakePicture").addEventListener 
   ("click", cameraTakePicture); 
   
   function cameraTakePicture() { 
   navigator.camera.getPicture(onSuccess, onError, {  
      quality: 50, 
      //destinationType: Camera.DestinationType.DATA_URL 
      destinationType: Camera.DestinationType.FILE_URI 
   });  
   
   function onSuccess(imageData) { 
      var image = document.getElementById('myImage'); 
      //image.src = "data:image/jpeg;base64," + imageData; 
       //$("#myImage").attr("src",'data:image/jpeg;base64,'+ imageData).css({"width":"100%","padding":"10px" });
       $("#myImage").attr("src", imageData).css({"width":"100%","padding":"10px" });
       if($('.col-md-12.server_send').is(':empty')){
      //$('.col-md-12.server_send').append('<button id = "picToServer">SEND TO SERVER</button>');
   }
   
   
   //begin
   //
var win = function (r) {
    //console.log("Code = " + r.responseCode);
    //console.log("Response = " + r.response);
    //console.log("Sent = " + r.bytesSent);
    alert("All Good!");
}

var fail = function (error) {
    alert("An error has occurred: Code = " + error.code);
    //console.log("upload error source " + error.source);
    //console.log("upload error target " + error.target);
}

var options = new FileUploadOptions();

options.fileKey = "file";

//fileURL= 'data:image/jpeg;base64,'+ imageData;
fileURL= imageData;
//options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
var d = new Date().toISOString().slice(0,10);
options.fileName = d + '.jpg';
options.mimeType = "image/jpeg";
options.chunkedMode = false;
options.httpMethod = "POST";
 
var params = {};
//params.username = "admin@admin.com";
//params.password = "adminpassword";
params.username = window.localStorage.getItem("username");
params.password = window.localStorage.getItem("password");

options.params = params;


var ft = new FileTransfer();
ft.upload(fileURL, encodeURI("https://members.growlode.com/uploads-test.php"), win, fail, options);
   //end
   }  
   
   function onError(message) { 
      alert('Failed because: ' + message); 
   } 
}

document.getElementById("cameraGetPicture").addEventListener("click", cameraGetPicture);

function cameraGetPicture() {
   navigator.camera.getPicture(onSuccess, onError, { quality: 50,
      //destinationType: Camera.DestinationType.DATA_URL,
      destinationType: Camera.DestinationType.FILE_URI,
      sourceType: Camera.PictureSourceType.PHOTOLIBRARY
   });

   function onSuccess(imageData) {
      var image = document.getElementById('myImage');
      //image.src = "data:image/jpeg;base64," + imageData;     
      $("#myImage").attr("src", imageData).css({"width":"100%","padding":"10px" });
      if($('.col-md-12.server_send').is(':empty')){
     // $('.col-md-12.server_send').append('<button class="form-control" id = "picToServer">SEND TO SERVER</button>');
      
   }
  
   //begin
   //
var win = function (r) {
    //console.log("Code = " + r.responseCode);
    //console.log("Response = " + r.response);
    //console.log("Sent = " + r.bytesSent);
    alert("All Good!");
}

var fail = function (error) {
    alert("An error has occurred: Code = " + error.code);
    //console.log("upload error source " + error.source);
    //console.log("upload error target " + error.target);
}

var options = new FileUploadOptions();

options.fileKey = "file";

//fileURL= 'data:image/jpeg;base64,'+ imageData;
fileURL= imageData;
//options.fileName = fileURL.substr(fileURL.lastIndexOf('/') + 1);
var d = new Date().toISOString().slice(0,10);
options.fileName = d + '.jpg';
options.mimeType = "image/jpeg";
options.chunkedMode = false;
options.httpMethod = "POST";
 
var params = {};
//params.username = "admin@admin.com";
//params.password = "adminpassword";
params.username = window.localStorage.getItem("username");
params.password = window.localStorage.getItem("password");

options.params = params;


var ft = new FileTransfer();
ft.upload(fileURL, encodeURI("https://members.growlode.com/uploads-test.php"), win, fail, options);
   //end
   
   }

   function onError(message) {
      alert('Failed because: ' + message);
   }

}

 document.getElementById("btnSave").addEventListener("click",saveData, false);
 document.getElementById("btnGet").addEventListener("click", getData, false);
function saveData()
            {
                var username = document.getElementById("username").value;
                var password = document.getElementById("password").value;
                window.localStorage.setItem("username", username);
                window.localStorage.setItem("password", password);
                alert("Your data is stored successfuly");
            }
            function getData()
            {
                var output = "Username is " +
                              window.localStorage.getItem("username") +
                              " and password is " +
                              window.localStorage.getItem("password");
                document.getElementById("result").innerHTML = output;
            }